%define prefix /usr/lib/im

Summary: A Simplified Chinese Pinyin language engine for im-sdk
Name: iiimf-le-inpinyin
Version: 0.3
Release: 2
License: Distributable
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-commit.patch
URL: http://people.redhat.com/yshap/im-sdk/
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-root
#BuildPreReq: tcp_wrappers

%description
iiimf-inpinyin Simplified Chinese Pinyin language engine for im-sdk

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch0 -p1 -b .commit

%build
./configure
make  

%install
rm -rf ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{prefix}/*

%changelog
* Fri Apr 2 2004 Yu Shao <yshao@redhat.com>
- updated commit patch to fix the problem of can't Backspace 
  when there are only two charaters left in preedit buffer.

* Wed Mar 3 2004 Yu Shao <yshao@redhat.com>
- bounce Space, comma, Backspace, comma and digit keys when frist hit

* Wed Mar 3 2004 Yu Shao <yshao@redhat.com>
- a fix for wrongly calculated the candidates number and caused httx to crash

* Sun Feb 29 2004 Yu Shao <yshao@redhat.com>
- more fixes for preedit string handling

* Thu Feb 26 2004 Yu Shao <yshao@redhat.com>
- to switch off lookup table when preedit string is empty

* Wed Feb 25 2004 Yu Shao <yshao@redhat.com>
- fix for wrongly commit last committed character when key event is interm

* Wed Feb 25 2004 Yu Shao <yshao@redhat.com>
- enhanced preedit string handling, stronger input events filter

* Thu Feb 17 2004 Yu Shao <yshao@redhat.com>
- rebuild for fc2,disabled AUX for iiimgcf

* Thu Aug 25 2003 Yu Shao <yshao@redhat.com>
- DEBUG macro stuff

* Thu Aug 07 2003 Yu Shao <yshao@redhat.com>
- Initial release
